Package: org.grails.exceptions.reporting

## [Java] Interface SourceCodeAware

- An interface that represents an exception that is capable of providing more information about the source code

  Authors:
    Graeme Rocher
  Since:
    1.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.String` | `getFileName()`
    `` | `int` | `getLineNumber()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public java.lang.String getFileName()

    - #### public int getLineNumber()